Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-6000

OpenNMS does not start "default bundles" during startup (Exception occurs)

    XMLWordPrintable

    Details

      Description

      When starting opennms no opennms features will be installed by default. Even if it is configured.

      The karaf.log is showing an exception:

      2013-08-01 09:40:42,977 | ERROR | Thread-54 | FeaturesServiceImpl | ? ? | 40 - org.apache.karaf.features.core - 2.3.1 | Error installing boot features
      java.lang.Exception: Could not start bundle mvn:org.opennms.features.vaadin-dashlets/dashlet-charts/1.13.0-SNAPSHOT in feature(s) dashlet-charts-1.13.0-SNAPSHOT: Unresolved constraint in bundle org.opennms.features.vaadin-dashlets.dashlet-charts [95]: Unable to resolve 95.0: missing requirement [95.0] osgi.wiring.package; (&(osgi.wiring.package=org.opennms.web.charts)(version>=1.13.0)(!(version>=2.0.0)))
      at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:482)[40:org.apache.karaf.features.core:2.3.1]
      at org.apache.karaf.features.internal.FeaturesServiceImpl$2.run(FeaturesServiceImpl.java:1150)[40:org.apache.karaf.features.core:2.3.1]
      Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle org.opennms.features.vaadin-dashlets.dashlet-charts [95]: Unable to resolve 95.0: missing requirement [95.0] osgi.wiring.package; (&(osgi.wiring.package=org.opennms.web.charts)(version>=1.13.0)(!(version>=2.0.0)))
      at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3826)[org.apache.felix.framework-4.0.3.jar:]
      at org.apache.felix.framework.Felix.startBundle(Felix.java:1868)[org.apache.felix.framework-4.0.3.jar:]
      at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:944)[org.apache.felix.framework-4.0.3.jar:]
      at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:931)[org.apache.felix.framework-4.0.3.jar:]
      at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:479)[40:org.apache.karaf.features.core:2.3.1]
      ... 1 more

      If you don't get this exception, try removing your local .m2 repository (that is why I get this error now, because I removed my .m2 repository yesterday)

        Attachments

          Activity

            People

            • Assignee:
              ranger Benjamin Reed
              Reporter:
              mvr Markus von RĂ¼den
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: